//
// FILE:     ShadowBall.java
// AUTHOR:   Eugene Wallingford 
// DATE:     2012/10/11
// COMMENT:  a Ball that gets darker every time in paints
//           implemented for Session 16's opening exercise
//
// MODIFIED: 
// CHANGE:   
//

import java.awt.Graphics;

public class ShadowBall extends Ball
{
  private int paintCount;
  
  public ShadowBall( int x, int y, int r, int dx, int dy )
  {
    super( x, y, r, dx, dy );
    paintCount = 0;
  }
  
  public void paint( Graphics g )
  {
    super.paint( g );
    paintCount++;
    
    if ( paintCount >= 100 )
    {
      this.darker();
      paintCount = 0;
    }
  }
}
